Bug 1279766 - Custom facts doesn't displayed on webUI with unattended/semi-automatic pxe-less discovery via dhcp
Custom facts doesn't displayed on webUI with unattended/semi-automatic pxe-le...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: 6.1.5
: --
Assigned To: Lukas Zapletal
Sachin Ghai
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-11-10 04:19 EST by Sachin Ghai
Modified: 2017-02-23 14:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-15 08:13:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
custom facts are visible on webUI (7.38 KB, image/png)
2015-11-27 02:29 EST, Sachin Ghai
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12430 None None None 2016-04-22 12:31 EDT

  None (edit)
Description Sachin Ghai 2015-11-10 04:19:51 EST
Description of problem: I was trying un-attended pxe-less discovery via dhcp and remastered the iso with a custom fact. Later, I discovered a host using same ISO but when I checked the facts of discovered hosts from webUI -> "Discovered Host" -> facts page, the provided custom fact was missing:

here is cmd I used to remaster the ISO:

 ./discovery_remaster fdi-bootable-3.0.4.iso "fdi.pxgw= fdi.pxdns= proxy.url= proxy.type=proxy fdi.pxfactname1=myfact fdi.pxfactvalue1=somevalue fdi.pxauto=1"

Version-Release number of selected component (if applicable):
Satellite 6.1.4 compose3

How reproducible:

Steps to Reproduce:
1. remaster the discovery ISO as above
2. discovered the host with same ISO
3. check if myfact is available under discovered hosts facts.

Actual results:
Missing provided custom fact while re-mastering the ISO

Expected results:
provided custom fact should be displayed

Additional info:
Comment 2 Sachin Ghai 2015-11-10 05:47:35 EST
upstream issue filed: http://projects.theforeman.org/issues/12430
Comment 3 Lukas Zapletal 2015-11-11 03:33:32 EST
The bot failed us, this is now POST.

Comment 6 Sachin Ghai 2015-11-27 02:29:25 EST
Verified with Sat 6.1.5 compose2(Satellite-6.1.0-RHEL-7-20151125.0)
and using scratchbuild of discovery image from brew having version: foreman-discovery-image-3.0.5-2.iso

I can see the the custom facts on webUI with unattended pxe-less discovery. Please see the screenshot for verification.
Comment 7 Sachin Ghai 2015-11-27 02:29 EST
Created attachment 1099599 [details]
custom facts are visible on webUI
Comment 8 Bryan Kearney 2015-12-15 08:13:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.